#
# Copyright (c) 2004, 2005 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define srcvers	2.0.1
%define rpmvers 2.0.1

%define coin_includedir %{expand:%%(coin-config --includedir)}
%define coin_htmldir %{expand:%%(coin-config --datadir)/Coin2}

Summary: Volume rendering library for Coin
Name: SIMVoleon
Version: %{rpmvers}
Release: 1%{?dist}

License: GPL
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/SIMVoleon-%{srcvers}.tar.gz

# Backport from 2.0.0:
#  The 2.0.1 tarball lacks files.
Patch0: SIMVoleon-2.0.1-doxyfixes.diff
Patch1: SIMVoleon-2.0.1-simacros.diff.bz2
Patch2: SIMVoleon-2.0.1-libtool.diff.bz2

BuildRequires: Coin2-devel
BuildRequires: doxygen
BuildRoot: %{_tmppath}/%{name}-%{rpmvers}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A volume rendering library for Coin.

%package devel
Summary: Development files for SIMVoleon
Requires: %{name} = %{version}-%{release}
Requires: Coin2-devel >= 2.3.0
Obsoletes: SimVoleon-devel
Provides:  SimVoleon-devel = %{version}-%{release}
Group: Development/Libraries

%description devel
Development files for SIMVoleon.

%prep
%setup -q -n SIMVoleon-%{srcvers}
%patch0 -p1
%patch1 -p1
%patch2 -p1

chmod +x cfg/doxy4win.pl

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{coin_htmldir}/SIMVoleon
make %{?_smp_mflags}

%install
   rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
   rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_libdir}/libSimVoleon*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}/*
%{_libdir}/libSimVoleon.*a
%{_libdir}/libSimVoleon*.so
%{_datadir}/aclocal/simvoleon.m4
%{_datadir}/Coin/conf
%doc %{coin_htmldir}/*

%changelog
* Sat May 21  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-1
- FE submission candidate.

* Sat May 21  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-0.pm.3
- Add x86_64 fixes.

* Sat Mar 26  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-0.pm.2
- Provide SimVoleon and SimVoleon-devel.
- Fix Copyright notice.

* Fri Mar 25  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-0.pm.1
- Let *-devel Obsolete SimVoleon-devel.

* Wed Mar 16  2005 Ralf Corsepius <ralf@links2linux.de> - 2.0.1-0
- Upstream update for FC3.
- Drop Epoch.

* Mon Oct 11  2004 Ralf Corsepius <ralf@links2linux.de> - 0:2.0.0-0.fdr.1
- Upstream update.

* Tue Jul 27  2004 Ralf Corsepius <ralf@links2linux.de> - 0:1.0.0-0.fdr.1
- Initial Fedora RPM.

* Tue Jul 27  2004 Ralf Corsepius <ralf@links2linux.de> - 0:1.0.0-0.fdr.1
- Initial Fedora RPM.
